package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * DMP资源导航树(DmpNavigationTree)实体类
 *
 * @author Bellamy
 * @since 2020-12-29 15:08:15
 */
@ApiModel(value = "DMP资源导航树", description = "DMP资源导航树")
public class DmpNavigationTree implements Serializable {
    private static final long serialVersionUID = -12645974631378172L;
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Integer id;
    /**
     * 树类别
     */
    @ApiModelProperty(value = "树类别")
    private String category;
    /**
     * 树类型
     */
    @ApiModelProperty(value = "树类型")
    private String type;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    private Integer treeSort;
    /**
     * 图标
     */
    @ApiModelProperty(value = "图标")
    private String icon;
    /**
     * 是否叶子节点
     */
    @ApiModelProperty(value = "是否叶子节点")
    private String isLevel;
    /**
     * 是否启用
     */
    @ApiModelProperty(value = "是否启用")
    private String isEnable;
    /**
     * 被谁锁定
     */
    @ApiModelProperty(value = "被谁锁定")
    private String lockByUser;
    /**
     * 锁定时间
     */
    @ApiModelProperty(value = "锁定时间")
    private Date lockTime;
    /**
     * 数据状态
     */
    @ApiModelProperty(value = "数据状态")
    private String dataStatus;
    /**
     * 创建用户ID
     */
    @ApiModelProperty(value = "创建用户ID")
    private String createUserId;
    /**
     * 数据创建时间
     */
    @ApiModelProperty(value = "数据创建时间")
    private Date createTime;
    /**
     * 创建用户ID
     */
    @ApiModelProperty(value = "创建用户ID")
    private String updateUserId;
    /**
     * 数据更新时间
     */
    @ApiModelProperty(value = "数据更新时间")
    private Date updateTime;
    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID")
    private Integer projectId;
    /**
     * 父节点ID
     */
    @ApiModelProperty(value = "父节点ID")
    private Integer parentId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getTreeSort() {
        return treeSort;
    }

    public void setTreeSort(Integer treeSort) {
        this.treeSort = treeSort;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getIsLevel() {
        return isLevel;
    }

    public void setIsLevel(String isLevel) {
        this.isLevel = isLevel;
    }

    public String getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(String isEnable) {
        this.isEnable = isEnable;
    }

    public String getLockByUser() {
        return lockByUser;
    }

    public void setLockByUser(String lockByUser) {
        this.lockByUser = lockByUser;
    }

    public Date getLockTime() {
        return lockTime;
    }

    public void setLockTime(Date lockTime) {
        this.lockTime = lockTime;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

}